<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::contextManager Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html">contextManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::contextManager Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1context_manager_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">ContextManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a97db6115775a0c304cece49b21e19f2c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html#a97db6115775a0c304cece49b21e19f2c">TAG</a> (&quot;ContextManager&quot;)</td></tr>
<tr class="memdesc:a97db6115775a0c304cece49b21e19f2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a97db6115775a0c304cece49b21e19f2c">More...</a><br /></td></tr>
<tr class="separator:a97db6115775a0c304cece49b21e19f2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ab924d79c21c34311cad8d850eb3d0b1e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html#ab924d79c21c34311cad8d850eb3d0b1e">NAMESPACE_JSON_KEY</a> = &quot;namespace&quot;</td></tr>
<tr class="memdesc:ab924d79c21c34311cad8d850eb3d0b1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The namespace json key in the header of the state.  <a href="#ab924d79c21c34311cad8d850eb3d0b1e">More...</a><br /></td></tr>
<tr class="separator:ab924d79c21c34311cad8d850eb3d0b1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d8ac454d1f33d66a55d76e47f1bd6e6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html#a0d8ac454d1f33d66a55d76e47f1bd6e6">NAME_JSON_KEY</a> = &quot;name&quot;</td></tr>
<tr class="memdesc:a0d8ac454d1f33d66a55d76e47f1bd6e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name json key in the header of the state.  <a href="#a0d8ac454d1f33d66a55d76e47f1bd6e6">More...</a><br /></td></tr>
<tr class="separator:a0d8ac454d1f33d66a55d76e47f1bd6e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac94f2a7f0a86005b295b93d7f817f0b3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html#ac94f2a7f0a86005b295b93d7f817f0b3">HEADER_JSON_KEY</a> = &quot;header&quot;</td></tr>
<tr class="memdesc:ac94f2a7f0a86005b295b93d7f817f0b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The header json key in the state.  <a href="#ac94f2a7f0a86005b295b93d7f817f0b3">More...</a><br /></td></tr>
<tr class="separator:ac94f2a7f0a86005b295b93d7f817f0b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84c9b8515fdb4a922fb0f936a10f95d9"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html#a84c9b8515fdb4a922fb0f936a10f95d9">PAYLOAD_JSON_KEY</a> = &quot;payload&quot;</td></tr>
<tr class="memdesc:a84c9b8515fdb4a922fb0f936a10f95d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The payload json key in the state.  <a href="#a84c9b8515fdb4a922fb0f936a10f95d9">More...</a><br /></td></tr>
<tr class="separator:a84c9b8515fdb4a922fb0f936a10f95d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e62f5fdfec1267bcc57c3d47fa4e90f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1context_manager.html#a4e62f5fdfec1267bcc57c3d47fa4e90f">CONTEXT_JSON_KEY</a> = &quot;context&quot;</td></tr>
<tr class="memdesc:a4e62f5fdfec1267bcc57c3d47fa4e90f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The context json key.  <a href="#a4e62f5fdfec1267bcc57c3d47fa4e90f">More...</a><br /></td></tr>
<tr class="separator:a4e62f5fdfec1267bcc57c3d47fa4e90f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a97db6115775a0c304cece49b21e19f2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97db6115775a0c304cece49b21e19f2c">&#9670;&nbsp;</a></span>TAG()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::contextManager::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;ContextManager&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a4e62f5fdfec1267bcc57c3d47fa4e90f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e62f5fdfec1267bcc57c3d47fa4e90f">&#9670;&nbsp;</a></span>CONTEXT_JSON_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::contextManager::CONTEXT_JSON_KEY = &quot;context&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The context json key. </p>

</div>
</div>
<a id="ac94f2a7f0a86005b295b93d7f817f0b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac94f2a7f0a86005b295b93d7f817f0b3">&#9670;&nbsp;</a></span>HEADER_JSON_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::contextManager::HEADER_JSON_KEY = &quot;header&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The header json key in the state. </p>

</div>
</div>
<a id="a0d8ac454d1f33d66a55d76e47f1bd6e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d8ac454d1f33d66a55d76e47f1bd6e6">&#9670;&nbsp;</a></span>NAME_JSON_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::contextManager::NAME_JSON_KEY = &quot;name&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The name json key in the header of the state. </p>

</div>
</div>
<a id="ab924d79c21c34311cad8d850eb3d0b1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab924d79c21c34311cad8d850eb3d0b1e">&#9670;&nbsp;</a></span>NAMESPACE_JSON_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::contextManager::NAMESPACE_JSON_KEY = &quot;namespace&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The namespace json key in the header of the state. </p>

</div>
</div>
<a id="a84c9b8515fdb4a922fb0f936a10f95d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84c9b8515fdb4a922fb0f936a10f95d9">&#9670;&nbsp;</a></span>PAYLOAD_JSON_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::contextManager::PAYLOAD_JSON_KEY = &quot;payload&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The payload json key in the state. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
